<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>Vecs</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="Vecs"><H1>Vecs</H1></A>
Collection of vectors where the data for the vectors is stored in  one continquous memory 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
struct _n_Vecs  {PetscInt n; Vec v;};
</PRE>

<P>
<H3><FONT COLOR="#CC3333">Notes</FONT></H3>
Temporary construct for handling multiply right hand side solves
<P>
This is faked by storing a single vector that has enough array space for
n vectors
<P>
<P>
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>advanced
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/vec/vec/../../../include/petscvec.h.html#Vecs">src/vec/vec/../../../include/petscvec.h</A>
<BR><A HREF="./index.html">Index of all Vec routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
